/* $Id: VLTIprivate.h,v 1.2 2001/11/26 12:51:03 csabet Exp $ */
#ifndef _VLTIPRIVATE_H
#define _VLTIPRIVATE_H
/*----------------------------------------------------------------------- */
/* Private FITS binary tables routines for the VLTI interferometer        */
/*----------------------------------------------------------------------- */

#include "VLTItable.h"

/* prototypes for table specific functions */
/* create table_def from values */
table_def* create_table_def(char  colsymb, int symcount,
			    char* extname, int nkey, char* keywords[], int keytype[], 
			    char* keycom[],
			    int ncol, char* coltype[], long colcount[],
			    int coldatatype[], char* colunits[], char* coldim[]);

/* read any application specific keywords*/
void get_application_keywords(fitsfile *fptr, table_def *out, int *ierr);

/* remove trailing blanks from a string (in place)*/
void table_deblank (char* string);

/* table type specific definitions */
table_def* make_XXX_table(char  colsymb, int symcount);     /* XXX (example) table */
table_def* make_SOURCE_table(char  colsymb, int symcount);  /* SOURCE table */
table_def* make_ARRAY_GEOMETRY_table(char  colsymb, int symcount);  /*  ARRAY_GEOMETRY table */
table_def* make_ADAPTIVE_OPTICS_table(char  colsymb, int symcount);  /*  ADAPTIVE_OPTICS table */
table_def* make_FLAG_table(char  colsymb, int symcount);  /*  FLAG table */
table_def* make_DELAY_table(char  colsymb, int symcount);  /*  DELAY table */
table_def* make_IMAGING_DATA_table(char  colsymb, int symcount);  /*  IMAGING_DATA table */
table_def* make_IMAGING_DETECTOR_table(char  colsymb, int symcount);  /*  IMAGING_DETECTOR table */
table_def* make_PREVISIBILITY_table(char  colsymb, int symcount);  /*  PREVISIBILITY table */
table_def* make_VISIBILITY_table(char  colsymb, int symcount);  /*  VISIBILITY table */
table_def* make_TIP_TILT_table(char  colsymb, int symcount);  /*  TIP_TILT table */
table_def* make_CALIBRATION_table(char  colsymb, int symcount);  /*  CALIBRATION table */
table_def* make_OPTICAL_TRAIN_table(char  colsymb, int symcount);  /*  OPTICAL_TRAIN table */
table_def* make_FRINGE_A_table(char  colsymb, int symcount);  /*  FRINGE_A table */
table_def* make_BATCH_table(char  colsymb, int symcount);  /*  BATCH table */

#endif /* end VLTIPRIVATE_H */
