/* $Id: history.h,v 1.2 2001/11/26 12:49:58 csabet Exp $ */
#ifndef _HISTORY_H
#define _HISTORY_H
/*----------------------------------------------------------------------- */
/* Routines for history keywords in FITS headers                          */
/*----------------------------------------------------------------------- */
#include <stdlib.h>
#include <time.h>
#include "fitsio.h"

/*----------------------------------------------------------------------- */
/*   Copies history records from one open FITS unit to another            */
/*   Inputs                                                               */
/*      infptr   cfitsio pointer to open input FITS file                  */
/*      outfptr   cfitsio pointer to open output FITS file                */
/*   Output:                                                              */
/*      ierr      Error code: 0 => ok, checked on input                   */
/*----------------------------------------------------------------------- */
void copy_history (fitsfile *infptr, fitsfile *outfptr, int *ierr);

/*----------------------------------------------------------------------- */
/*   Gets the current date/time string suitable for history               */
/*   Input/Output:                                                        */
/*      timestr      character large enought (>30) for the time string    */
/*----------------------------------------------------------------------- */
void history_time (char *timestr);

#endif /* end HISTORY_H */
