/* $Id: table_col.c,v 1.2 2001/11/26 12:49:33 csabet Exp $ */
/*----------------------------------------------------------------------- */
/* table column FITS binary tables routines for the VLTI interferometer   */
/*----------------------------------------------------------------------- */
/*#include <malloc.h>*/
#include <string.h>
#include "VLTItable.h"

table_col* make_table_col(void* tdata)
/*----------------------------------------------------------------------- */
/*   Make a table_col object                                              */
/*   Inputs:                                                              */
/*      tdata      Column data array                                      */
/*   Returns:                                                             */
/*      New table_col structure; NULL -> failed                           */
/*----------------------------------------------------------------------- */
{
  table_col* out = (table_col*) malloc(sizeof(table_col));
  if (out==NULL) return out;  /* check allocation */
  out->tdata.tvoid = tdata;
  return out;
} /* end make_table_col*/

void kill_table_col(table_col* col)
/*----------------------------------------------------------------------- */
/*   Destroy a table_obj object                                           */
/*   Inputs:                                                              */
/*      table_obj  Object to destroy                                      */
/*----------------------------------------------------------------------- */
{
  if (col==NULL) return; /* validity check */
  if (col->tdata.tvoid!=NULL) free(col->tdata.tvoid); /* data array */
  free (col);            /* free storage */
} /* end kill_table_col*/

