/**********************************************************
***********************************************************
*				European Southern Observatory
*		 Vlti ViNci Data Reduction Software (VNDRS)
*
* Module name:	vndrs_DataReduction.h
* Description:	
*
*
* History:		
* 01-May-01		(csabet) Revised
*
***********************************************************
**********************************************************/
#ifndef _VNDRS_DATAREDUCTION_H
#define _VNDRS_DATAREDUCTION_H

/**********************************************************
*	Include files
**********************************************************/
#include "vndrs_OPD.h"

/**********************************************************
*	Constant definitions
**********************************************************/

/* #define SHAPE_FACTOR		(0.000013)
#define LOWER_WAVENUM_LIMIT	(3260)
#define UPPER_WAVENUM_LIMIT	(6260)
#define REJECTION_THRESHOLD	(7)
#define APOD_BLOCKOUT		(0.0)
#define APOD_TRANSITION		(0.1) */   /* removed pkervell -19-mar-02 */
#define MULT_CORR		      (0)

#define DUMMY_VALUE		      (0)

/**********************************************************
*	Type definitions 
**********************************************************/

/**********************************************************
*	Global Variables 
**********************************************************/

/**********************************************************
*	Function prototypes
**********************************************************/
void vndrs_DataReductionUsage(
	void);

void vndrs_DataReductionInput(
	int		argc, 
	char	**argv, 
	int		*ierr);
 
void vndrs_PipelineReport(
	char		*report_file, 
	char		*file_on, 
	opd_data	*opd);

void vndrs_QC1_Report(
	char		*report_file, 
	char		*file_on, 
	opd_data	*opd,
	long		numberOfScansProcessed,
	long		numberOfScansRejected,
        matrix_double   *Matrix);

/*********************************************************/
/*********************************************************/
#endif
